{% extends 'base.html' %}
{% load static %}
{% block title %} List {% if containing_collections %} {{ coll.name }}{% else %}{{ requested_archive.archive_name }}
{% endif %} {% endblock %}
{% block content %}
    <div class="table-responsive">
{#    <p id="auto_nav_link"><a href="#" id="Archive">Test1</a> / <a href="#">Test2</a></p>#}
    <table class="table align-center table-dark table-sm table-bordered border-primary">
        <thead>
        <div class="btn-group" role="group">
            <button type="button" class="btn btn-primary btn-sm"
                    data-bs-toggle="modal" data-bs-target="#createCollection">Add Folder
            </button>
            {% if collection_id > 0 %}
                <button type="button" class="btn btn-info btn-sm"
                        data-bs-toggle="modal" data-bs-target="#uploadFile"> Add File
                </button>
            {% endif %}


{#            <a href="#" class="btn btn-danger btn-align-center btn-sm">Delete Selected</a>#}
        </div>
        {% if containing_collections %}
            <tr>
{#                <th>#}
{#                        <span class="custom-checkbox">#}
{#                        <input type="checkbox" id="selectAll">#}
{#                        <label for="selectAll"></label>#}
{#                        </span>#}
{#                </th>#}
                <th>Collection Name</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
            <p> {{ last_pk }}</p>
            {% for coll in collection %}

                <tr>
{#                    <th>#}
{#                        <span class="custom-checkbox">#}
{#                        <input type="checkbox" id="checkbox + {{ coll.id }}">#}
{#                        <label for="checkbox + {{ coll.id }}"></label>#}
{#                        </span>#}
{#                    </th>#}
                    <th>
                        <a class="bi bi-folder"
                           href="{% url 'list-selected-collection' coll.id %}"> {{ coll.collection_name }} </a>
                    </th>
                    <th>
                        <a class="bi bi-trash btn-danger btn-sm"
                           onclick="copyResponseToBox('Delete collection {{ coll.collection_name }}?',
                                   'delete_archive_title', '{% url 'delete-collection' coll.id %}', 'delete_body')"
                           data-bs-toggle="modal" data-bs-target="#deleteCollection"></a>
                        <a class="bi bi-pencil-fill btn-success btn-sm"
                           onclick="copyResponseToBox('Update collection {{ coll.collection_name }}?',
                                   'update_archive_title', '{% url 'update-collection' coll.id %}', 'update_body')"
                           data-bs-toggle="modal" data-bs-target="#updateCollection"></a>
                    </th>
                </tr>
            {% endfor %}
            </tbody>

        {% else %}
            <p> {{ last_pk }}</p>
            {% if containing_files %}
                <tr>
{#                    <th>Select</th>#}
                    <th>File Name</th>
                    <th>created_on</th>
                    <th>created_by</th>
                    <th>size</th>
                    <th>Action</th>
                </tr>
                <tbody>
                {% for file in containing_files %}
                    <tr>
{#                        <th>#}
{#                        <span class="custom-checkbox">#}
{#                        <input type="checkbox" id="checkbox + {{ file.id }}">#}
{#                        <label for="checkbox + {{ file.id }}"></label>#}
{#                        </span>#}
{#                        </th>#}
                        <th><i class="bi bi-file-pdf"></i>
                            <a href="#"
                               onclick="copyResponseToBox('View File {{ file.file_name }}?',
                                       'view_file_title', '{% url 'list-archived-file' file.id %}', 'update_file_body')"
                               data-bs-toggle="modal"
                               data-bs-target="#viewFile"> {{ file.file_name }}</a>
                        </th>
                        <th>{{ file.created_on }}</th>
                        <th>{{ file.created_by }}</th>
                        <th>{{ file.filename.size|filesizeformat }}</th>

                        <th>
                        <a href="{% url 'file-update' file.id %}" class="bi bi-pencil btn-primary btn-sm "></a>
                        <a class="bi bi-trash btn-danger btn-sm"
                           onclick="copyResponseToBox('Delete file {{ file.filename }}?',
                                   'delete_file_title', '{% url 'file-delete' file.id %}', 'delete_file_body')"
                           data-bs-toggle="modal" data-bs-target="#deleteFile"></a>
                        </th>
                    </tr>
                {% endfor %}
            {% else %}
                <p>This collection does not have files </p>
            {% endif %}
        {% endif %}
    </table>

    <!-- Paginator -->

    <nav aria-label="Page navigation example">
        <ul class="pagination">
            {% if containing_files.has_previous %}
                <li class="page-item"><a class="page-link" href="?page=1">&laquo First</a></li>
                <li class="page-item"><a class="page-link"
                                         href="?page={{ containing_files.previous_page_number }}">Previous</a>
                </li>
            {% endif %}
            <li class="page-item disabled"><a class="page-link" href="#">Page {{ containing_files.number }}
                of {{ containing_files.paginator.num_pages }}</a></li>
            {% if containing_files.has_next %}
                <li class="page-item"><a class="page-link" href="?page={{ containing_files.next_page_number }}">Next</a>
                </li>
                <li class="page-item"><a class="page-link" href="?page={{ containing_files.paginator.num_pages }}">last
                    &raquo</a>
                </li>
            {% endif %}
        </ul>
    </nav>

    <!-- Modal create collection -->

    <div class="modal fade" id="createCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form method="post" action="{% url 'create-collection' %}">
                        {% csrf_token %}
                        {{ create_form.as_p }}
                        <button type="submit" class="btn btn-primary">Add Collection</button>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Delete Collection -->
    <div class="modal fade" id="deleteCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="delete_archive_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="delete_body">

                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" form="cc" class="btn btn-danger">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Update Collection  -->
    <div class="modal fade" id="updateCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="update_archive_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="update_body">

                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Upload File  -->
    {% if collection_id > 0 %}
        <div class="modal fade" id="uploadFile" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form method="post" action="{% url 'file-upload' collection_id %}"
                              enctype="multipart/form-data">
                            {% csrf_token %}
                            {{ upload_file_form.as_p }}
                            <button type="submit" class="btn btn-primary">Upload File</button>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <!-- Modal View File -->

    <div class="modal fade" id="viewFile" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="view_file_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="update_file_body">
                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>


<!-- Modal Delete file -->
    <div class="modal fade" id="deleteFile" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="delete_file_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="delete_file_body">

{#                    <form method="post" action="{{ request.path }}">#}
{#                        {% csrf_token %}#}
{#                        <button type="submit" class="btn btn-danger">Delete</button>#}
                    </form>
                </div>
            </div>
        </div>
    </div>


{% endblock %}

</div>
